{ inputs, lib, pkgs, ... }:

{
  imports = [
    "${inputs.cosmic-modules}/nixos/cosmic/module.nix"
  ];
  config = {
    services.desktopManager.cosmic.enable = true;
    environment.cosmic.excludePackages = with pkgs; [
      cosmic-edit
      cosmic-term
      cosmic-files
    ];
    environment.systemPackages = with pkgs; [
      pavucontrol
    ];
  };
}
